From: Jim Meyering <meyering@redhat.com>
Date: Mon, 15 Sep 2008 12:37:49 +0000 (+0200)
Subject: avoid spurious test failure when library is built without ACL support
X-Git-Url: https://pintos-os.org/cgi-bin/gitweb.cgi?a=commitdiff_plain;h=75de88852acacd665c5b71c19aff67ed7034826b;p=pspp

avoid spurious test failure when library is built without ACL support

* m4/acl.m4 (USE_ACL): Define as a shell variable, too, for...
* modules/acl-tests (Makefile.am) [TESTS_ENVIRONMENT]: Add USE_ACL.
* tests/test-file-has-acl.sh: Skip if USE_ACL == 0.
* tests/test-copy-acl.sh: Likewise.
---

diff --git a/ChangeLog b/ChangeLog
index 375d43f572..41b8c5d278 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,11 @@
+2008-09-16  Jim Meyering  <meyering@redhat.com>
+
+	avoid spurious test failure when library is built without ACL support
+	* m4/acl.m4 (USE_ACL): Define as a shell variable, too, for...
+	* modules/acl-tests (Makefile.am) [TESTS_ENVIRONMENT]: Add USE_ACL.
+	* tests/test-file-has-acl.sh: Skip if USE_ACL == 0.
+	* tests/test-copy-acl.sh: Likewise.
+
 2008-09-15  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>
 
 	* lib/fstrcmp.c (fstrcmp_bounded): Use a second, less quick upper bound
diff --git a/m4/acl.m4 b/m4/acl.m4
index 494ce4bebb..08342d03ca 100644
--- a/m4/acl.m4
+++ b/m4/acl.m4
@@ -121,6 +121,8 @@ int type = ACL_TYPE_EXTENDED;]],
   AC_SUBST([LIB_ACL])
   AC_DEFINE_UNQUOTED([USE_ACL], [$use_acl],
     [Define to nonzero if you want access control list support.])
+  USE_ACL=$use_acl
+  AC_SUBST([USE_ACL])
 ])
 
 # gl_ACL_GET_FILE(IF-WORKS, IF-NOT)
diff --git a/modules/acl-tests b/modules/acl-tests
index 04e004cfd8..0aacd4141b 100644
--- a/modules/acl-tests
+++ b/modules/acl-tests
@@ -17,7 +17,7 @@ configure.ac:
 
 Makefile.am:
 TESTS += test-file-has-acl.sh test-set-mode-acl.sh test-copy-acl.sh
-TESTS_ENVIRONMENT += EXEEXT='@EXEEXT@'
+TESTS_ENVIRONMENT += EXEEXT='@EXEEXT@' USE_ACL=$(USE_ACL)
 check_PROGRAMS += test-file-has-acl test-set-mode-acl test-copy-acl test-sameacls
 test_file_has_acl_LDADD = $(LDADD) $(LIB_ACL)
 test_set_mode_acl_LDADD = $(LDADD) $(LIB_ACL) @LIBINTL@
diff --git a/tests/test-copy-acl.sh b/tests/test-copy-acl.sh
index 6d59702681..9e20e77cd2 100755
--- a/tests/test-copy-acl.sh
+++ b/tests/test-copy-acl.sh
@@ -3,6 +3,12 @@
 # Show all commands when run with environment variable VERBOSE=yes.
 test -z "$VERBOSE" || set -x
 
+test "$USE_ACL" = 0 &&
+  {
+    echo "Skipping test: insufficient ACL support"
+    exit 77
+  }
+
 # func_tmpdir
 # creates a temporary directory.
 # Sets variable
diff --git a/tests/test-file-has-acl.sh b/tests/test-file-has-acl.sh
index e2dbe9d084..9783960823 100755
--- a/tests/test-file-has-acl.sh
+++ b/tests/test-file-has-acl.sh
@@ -3,6 +3,12 @@
 # Show all commands when run with environment variable VERBOSE=yes.
 test -z "$VERBOSE" || set -x
 
+test "$USE_ACL" = 0 &&
+  {
+    echo "Skipping test: insufficient ACL support"
+    exit 77
+  }
+
 # func_tmpdir
 # creates a temporary directory.
 # Sets variable